Prima Pagina iPad 2 XRY nu functioneaza cu iPhone 4S, iPad 2 sau iPad 3 si...

XRY nu functioneaza cu iPhone 4S, iPad 2 sau iPad 3 si nu sparge usor passcode-uri complexe

  Saptamana trecuta v-am vorbit despre XRY, un program dezvoltat de o companie suedeza care colaboreaza cu autoritatile multor state si le ofera acestora programe care le permit sa exploateze terminale mobile si sa afle orice fel de date din interiorul lor in cadrul investigatiilor criminalistice. XRY a fost prezentat ca un program care poate sparge passcode-ul unui terminal iPhone in doar doua minute folosind un exploit similar cu cel al unei solutii de jailbreak. Ei bine se pare ca XRY foloseste bootrom exploit-ul limera1n si un ramdisk facut de compania suedeza pentru a sparge acel passcode insa intregul proces este atat de rapid doar daca passcode-ul iDevice-ului este 0000.

They are simply loading a custom ramdisk by utilizing the publicly available “limera1n” exploit by George Hotz. The ramdisk isn’t even very special, because anyone could put together their own using open source tools. The only “special” thing XRY has done is create a tool that is simple enough to be utilized by LE personnel.  The “two minutes” it takes to crack your passcode will only hold true if your passcode is 0000, the passcode that XRY showed in their demo video.

  Mai mult decat atat, exploit-ul utilizat de XRY nu poate fi folosit pe iPhone 4S, iPad 2 sau iPad 3 deoarece pentru aceste iDevice-uri nu exista un bootrom exploit care sa permita oricui sa sparga sistemul de operare fara prea mult efort. Solutia celor de la XRY ar putea fi eficienta insa ea functioneaza intr-un mod diferit de cel prezentat in clipul video initial, clip video care intre timp a fost sters. XRY poate sparge passcode-ul iDevice-urilor exploatabile cu limera1n si aici sunt incluse toate cele lansate inaintea tabletei iPad 2 insa daca aveti setat un passcode complex atunci procesul ar putea dura cateva zeci de minute/ore.

  In concluzie, iDevice-urile vechi pot fi exploatate insa cele noi nu sunt vulnerabile in fata acestui software dar asta nu inseamna ca altele nu le-ar putea exploata.

  • Ares

    Atunci chiar nu ii mai vad rostul XRY-lui, mai bine folosesc Gecko Toolkit in continuare.